#version 100

attribute vec3 vsPosition;
attribute vec3 vsNormal;
attribute vec4 vsColor;
attribute vec2 vsTextureUV;
 
// Our outputs the next shader (fragment) in the chain
varying vec4 fsColor;

uniform mat4 uObjectToProjection;

void main(void)
{
	gl_Position = vec4(vsPosition, 1.0) * uObjectToProjection;
	fsColor = vsColor;
}
